import { BaseService, Service } from '@/cool/index';

export class ShopService extends BaseService {
	// 商家列表 s
	merchantList(data) {
		return this.request({
			url: '/merchant/list',
			params: data
		});
	}

	// 商家申请记录 s
	applyList(data) {
		return this.request({
			url: '/apply/list',
			params: data
		});
	}

	// 商家申请审核 s
	applyCheck(data) {
		return this.request({
			url: '/apply/check',
			method: 'POST',
			data: data
		});
	}

	// 门店列表 b
	shopList(data) {
		return this.request({
			url: '/shop/list',
			params: data
		});
	}

	// 购买列表 b
	buyList(data) {
		return this.request({
			url: '/renew/list',
			params: data
		});
	}

	// 小程序升级记录 s
	upgradeList(data) {
		return this.request({
			url: '/mini-upgrade/list',
			params: data
		});
	}

	// 小程序更新版本 s
	upgradeUpdate(data) {
		return this.request({
			url: '/mini-upgrade/update',
			params: data
		});
	}
}

export default new ShopService();
